# pandas.core.groupby.DataFrameGroupBy.ffill

DataFrameGroupBy.ffill(limit=None)

  Forward fill the values.

  Parameters
    limit int, optional

      Limit of how many values to fill.

  Returns
    Series or DataFrame

      Object with missing values filled.

  See also

  `Series.pad`

    Returns Series with minimum number of char in object.

  `DataFrame.pad`

    Object with missing values filled or None if inplace=True.

  `Series.fillna`

    Fill NaN values of a Series.

  `DataFrame.fillna`

    Fill NaN values of a DataFrame.